{% extends 'home/layout.html' %}

{% block title %}PROGRESS BAR REFRESH{% endblock %}

{% block meta %}
    {% if started %}
        <meta http-equiv="refresh" content="1"/>
    {% endif %}
{% endblock %}

{% block body %}
    <h1 class="text-center">APP1 - one app for all sessions</h1>
    <section class="h-100">
        {% if started %}
            <div class="container py-3 w-50">
                    <div class="text-center">
                    <a>APPLICATION STARTED</a>
                    </div>
                <br>
                <div class="text-center">
                    <p>PROGRESS: {{ progress }} %</p>
                </div>
                <div class="text-center">
                    {% for status in status_list%}
                    <p>{{ status}}</p>
                    {% endfor %}
                </div>
            </div>
         {% else %}
            <div class="container py-3 w-50">
                 <form method="post">
                    {% csrf_token %}
                    <div class="text-center">
                        <button class="btn btn-primary me-1 " type="submit">START</button>
                    </div>
                </form>
                <br>
                <div class="text-center">
                    <a class="btn btn-success me-1" href="{% url 'home' %}">HOME</a>
                </div>
            </div>
        {% endif %}
    </section>
{% endblock %}